complexType "FeeLeg"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | initialPayment?, singlePayment*, periodicPayment?, marketFixedRate?, paymentDelay?, initialPoints?, quotationStyle?
</...>

Content Model Elements (7):

  initialPayment, initialPoints, marketFixedRate, paymentDelay, periodicPayment, quotationStyle, singlePayment

All Direct / Indirect Based Elements (2):

  feeLeg (defined in CreditDefaultSwap complexType), | feeLeg (defined in LimitedCreditDefaultSwap complexType)

Known Usage Locations

- As direct type of elements (2):

  feeLeg (defined in CreditDefaultSwap complexType), | feeLeg (defined in LimitedCreditDefaultSwap complexType)

Type Definition Detail

Type Derivation Tree Leg (extension) FeeLeg

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="FeeLeg"> <xsd:complexContent> <xsd:extension base="Leg"> <xsd:sequence> <xsd:element minOccurs="0" name="initialPayment" type="InitialPayment"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="singlePayment" type="SinglePayment"/> <xsd:element minOccurs="0" name="periodicPayment" type="PeriodicPayment"/> <xsd:element minOccurs="0" name="marketFixedRate" type="xsd:decimal"/> <xsd:element minOccurs="0" name="paymentDelay" type="xsd:boolean"/> <xsd:element minOccurs="0" name="initialPoints" type="xsd:decimal"/> <xsd:element minOccurs="0" name="quotationStyle" type="QuotationStyleEnum"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/7)
initialPayment

  Type: | InitialPayment, complex content

  Specifies a single fixed payment that is payable by the payer to the receiver on the initial payment date. The fixed payment to be paid is specified in terms of a known currency amount. This element should be used for CDS Index trades and can be used for CDS trades where it is necessary to represent a payment from Seller to Buyer. For CDS trades where a payment is to be made from Buyer to Seller the feeLeg/singlePayment structure must be used.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialPayment" type="InitialPayment"/>

initialPoints

  Type: | xsd:decimal, predefined, simple content

  An optional element that contains the up-front points expressed as a percentage of the notional. An initialPoints value of 5% would be represented as 0.05. The initialPoints element is an alternative to marketFixedRate in quoting the traded level of a trade. When initialPoints is used, the traded level is the sum of fixedRate and initialPoints. The initialPoints is one of the items that are factored into the initialPayment calculation and is payable by the Buyer to the Seller. Note that initialPoints and marketFixedRate may both be present in the same document when both implied values are desired.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialPoints" type="xsd:decimal"/>

marketFixedRate

  Type: | xsd:decimal, predefined, simple content

  An optional element that only has meaning in a credit index trade. This element contains the credit spread ("fair value") at which the trade was executed. Unlike the fixedRate of an index, the marketFixedRate varies over the life of the index depending on market conditions. The marketFixedRate is the price of the index as quoted by trading desks.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="marketFixedRate" type="xsd:decimal"/>

paymentDelay

  Type: | xsd:boolean, predefined, simple content

  Applicable to CDS on MBS to specify whether payment delays are applicable to the fixed Amount. RMBS typically have a payment delay of 5 days between the coupon date of the reference obligation and the payment date of the synthetic swap. CMBS do not, on the other hand, with both payment dates being on the 25th of each month.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDelay" type="xsd:boolean"/>

periodicPayment

  Type: | PeriodicPayment, complex content

  Specifies a periodic schedule of fixed amounts that are payable by the buyer to the seller on the fixed rate payer payment dates. The fixed amount to be paid on each payment date can be specified in terms of a known currency amount or as an amount calculated on a formula basis by reference to a per annum fixed rate. The applicable business day convention and business day for adjusting any fixed rate payer payment date if it would otherwise fall on a day that is not a business day are those specified in the dateAdjustments element within the generalTerms component. ISDA 2003 Term:
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="periodicPayment" type="PeriodicPayment"/>

quotationStyle

  Type: | QuotationStyleEnum, simple content

  The type of quotation that was used between the trading desks. The purpose of this element is to indicate the actual quotation style that was used to quote this trade which may not be apparent when both marketFixedRate and initialPoints are included in the document. When quotationStyle is ‘PointsUpFront’, the initialPoints element should be populated. When quotationStyle is ‘TradedSpread’, the marketFixedRate element should be populated.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "PointsUpFront" | - | When quotation style is "PointsUpFront", the initialPoints element of the feeLeg should be populated. See: http://www.FpML.org
  "TradedSpread" | - | When quotation style is "TradedSpread", the marketFixedRate element of the feeLeg should be populated. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quotationStyle" type="QuotationStyleEnum"/>

singlePayment

  Type: | SinglePayment, complex content

  Specifies a single fixed amount that is payable by the buyer to the seller on the fixed rate payer payment date. The fixed amount to be paid is specified in terms of a known currency amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="singlePayment" type="SinglePayment"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.